Subject: bug#31312: Segmentation fault with doom-emacs, NeoTree and Zoom

From: martin rudalics <[email-masked]>
Date: Wed, 02 May 2018 15:47:32 +0200

> Any advice on this part? I needed to force the size of windows and hooking
 > `select-window` (via `advice-add`) is apparently not enough to catch all
 > the cases.

It might not help in the case at hand, but instead of advising
'select-window' (which won't do the job anyway when a window is
selected directly via select_window) please add your function to
'buffer-list-update-hook'.  Hooking 'select-window' _is_ bad idea,
always.

martin